Defined colors for GTG

## Data Structures

struct | gtg_color
| This structure defines a color that can be used by GTG. More...

## Functions

static uint8_t | GTG_COLOR_GET_BLUE (gtg_rgb_color_t rgb)
| Return the 1-byte value of the blue component of a rgb color.
static uint8_t | GTG_COLOR_GET_GREEN (gtg_rgb_color_t rgb)
| Return the 1-byte value of the green component of a rgb color.
static uint8_t | GTG_COLOR_GET_RED (gtg_rgb_color_t rgb)
| Return the 1-byte value of the red component of a rgb color.
static gtg_rgb_color_t | GTG_COLOR_SET_COLOR (uint8_t r, uint8_t g, uint8_t b)
| Return the 4-bytes RGB color from 3 1-byte components.

## Variables

gtg_color_t | GTG_BLACK
| Default black color. (R,G,B) = (0, 0, 0).
gtg_color_t | GTG_RED
| Default red color. (R,G,B) = (255, 0, 0).
gtg_color_t | GTG_GREEN
| Default green color. (R,G,B) = (0, 255, 0).
gtg_color_t | GTG_BLUE
| Default blue color. (R,G,B) = (0, 0, 255).
gtg_color_t | GTG_WHITE
| Default white color. (R,G,B) = (255, 255, 255).
gtg_color_t | GTG_TEAL
| Default teal color. (R,G,B) = (0, 255, 255).
gtg_color_t | GTG_DARKGREY
| Default dark grey color. (R,G,B) = (85, 85, 85).
gtg_color_t | GTG_YELLOW
| Default yellow color. (R,G,B) = (255, 255, 0).
gtg_color_t | GTG_PURPLE
| Default purple color. (R,G,B) = (153, 25, 230).
gtg_color_t | GTG_LIGHTBROWN
| Default light brown color. (R,G,B) = (170, 130, 130).
gtg_color_t | GTG_LIGHTGREY
| Default light grey color. (R,G,B) = (200, 200, 200).
gtg_color_t | GTG_DARKBLUE
| Default dark blue color. (R,G,B) = (0, 0, 80).
gtg_color_t | GTG_PINK
| Default pink color. (R,G,B) = (255, 0, 255).
gtg_color_t | GTG_DARKPINK
| Default dark pink color. (R,G,B) = (180, 80, 180).
gtg_color_t | GTG_SEABLUE
| Default sea blue color. (R,G,B) = (25, 128, 200).
gtg_color_t | GTG_KAKI
| Default kaki color. (R,G,B) = (80, 100, 25).
gtg_color_t | GTG_REDBLOOD
| Default red blood color. (R,G,B) = (200, 25, 25).
gtg_color_t | GTG_BROWN
| Default brown color. (R,G,B) = (100, 25, 25).
gtg_color_t | GTG_GRENAT
| Default grenat color. (R,G,B) = (100, 0, 80).
gtg_color_t | GTG_ORANGE
| Default orange color. (R,G,B) = (255, 160, 0).
gtg_color_t | GTG_MAUVE
| Default mauve color. (R,G,B) = (128, 0, 255).
gtg_color_t | GTG_LIGHTPINK
| Default light pink color. (R,G,B) = (255, 128, 255).

## Detailed Description

## Function Documentation

## GTG_COLOR_GET_BLUE()

uint8_t GTG_COLOR_GET_BLUE | ( | gtg_rgb_color_t | rgb | ) |

inline static

Return the 1-byte value of the blue component of a rgb color.

## GTG_COLOR_GET_GREEN()

uint8_t GTG_COLOR_GET_GREEN | ( | gtg_rgb_color_t | rgb | ) |

inline static

Return the 1-byte value of the green component of a rgb color.

## GTG_COLOR_GET_RED()

uint8_t GTG_COLOR_GET_RED | ( | gtg_rgb_color_t | rgb | ) |

inline static

Return the 1-byte value of the red component of a rgb color.

## GTG_COLOR_SET_COLOR()

gtg_rgb_color_t GTG_COLOR_SET_COLOR | ( | uint8_t | r,
|  | uint8_t | g,
|  | uint8_t | b )

inline static

Return the 4-bytes RGB color from 3 1-byte components.

## Variable Documentation

## GTG_BLACK

gtg_color_t GTG_BLACK

extern

Default black color. (R,G,B) = (0, 0, 0).

## GTG_BLUE

gtg_color_t GTG_BLUE

extern

Default blue color. (R,G,B) = (0, 0, 255).

## GTG_BROWN

gtg_color_t GTG_BROWN

extern

Default brown color. (R,G,B) = (100, 25, 25).

## GTG_DARKBLUE

gtg_color_t GTG_DARKBLUE

extern

Default dark blue color. (R,G,B) = (0, 0, 80).

## GTG_DARKGREY

gtg_color_t GTG_DARKGREY

extern

Default dark grey color. (R,G,B) = (85, 85, 85).

## GTG_DARKPINK

gtg_color_t GTG_DARKPINK

extern

Default dark pink color. (R,G,B) = (180, 80, 180).

## GTG_GREEN

gtg_color_t GTG_GREEN

extern

Default green color. (R,G,B) = (0, 255, 0).

## GTG_GRENAT

gtg_color_t GTG_GRENAT

extern

Default grenat color. (R,G,B) = (100, 0, 80).

## GTG_KAKI

gtg_color_t GTG_KAKI

extern

Default kaki color. (R,G,B) = (80, 100, 25).

## GTG_LIGHTBROWN

gtg_color_t GTG_LIGHTBROWN

extern

Default light brown color. (R,G,B) = (170, 130, 130).

## GTG_LIGHTGREY

gtg_color_t GTG_LIGHTGREY

extern

Default light grey color. (R,G,B) = (200, 200, 200).

## GTG_LIGHTPINK

gtg_color_t GTG_LIGHTPINK

extern

Default light pink color. (R,G,B) = (255, 128, 255).

## GTG_MAUVE

gtg_color_t GTG_MAUVE

extern

Default mauve color. (R,G,B) = (128, 0, 255).

## GTG_ORANGE

gtg_color_t GTG_ORANGE

extern

Default orange color. (R,G,B) = (255, 160, 0).

## GTG_PINK

gtg_color_t GTG_PINK

extern

Default pink color. (R,G,B) = (255, 0, 255).

## GTG_PURPLE

gtg_color_t GTG_PURPLE

extern

Default purple color. (R,G,B) = (153, 25, 230).

## GTG_RED

gtg_color_t GTG_RED

extern

Default red color. (R,G,B) = (255, 0, 0).

## GTG_REDBLOOD

gtg_color_t GTG_REDBLOOD

extern

Default red blood color. (R,G,B) = (200, 25, 25).

## GTG_SEABLUE

gtg_color_t GTG_SEABLUE

extern

Default sea blue color. (R,G,B) = (25, 128, 200).

## GTG_TEAL

gtg_color_t GTG_TEAL

extern

Default teal color. (R,G,B) = (0, 255, 255).

## GTG_WHITE

gtg_color_t GTG_WHITE

extern

Default white color. (R,G,B) = (255, 255, 255).

## GTG_YELLOW

gtg_color_t GTG_YELLOW

extern

Default yellow color. (R,G,B) = (255, 255, 0).